LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Functions
thread.hxx File Reference
`#include <sal/config.h>`
`#include <cassert>`
`#include <osl/time.h>`
`#include <osl/diagnose.h>`
`#include <osl/thread.h>`
`#include <rtl/alloc.h>`

Go to the source code of this file.

## Classes
class | osl::Thread
| A thread abstraction. More...
class | osl::ThreadData

## Namespaces
| osl

## Functions
void | osl::threadFunc (void *param)
| threadFunc is the function which is executed by the threads created by the osl::Thread class. More...